package com.srs.stureg.mapper;

import java.util.List;
import com.srs.stureg.domain.AtStation;

/**
 * 新生接站登记Mapper接口
 * 
 * @author 邓
 * @date 2023-05-20
 */
public interface AtStationMapper 
{
    /**
     * 查询新生接站登记
     * 
     * @param id 新生接站登记主键
     * @return 新生接站登记
     */
    public AtStation selectAtStationById(Long id);

    /**
     * 查询新生接站登记
     *
     * @param userId 用户id
     * @return 新生接站登记
     */
    public AtStation selectAtStationByUserId(Long userId);

    /**
     * 查询新生接站登记列表
     * 
     * @param atStation 新生接站登记
     * @return 新生接站登记集合
     */
    public List<AtStation> selectAtStationList(AtStation atStation);

    /**
     * 新增新生接站登记
     * 
     * @param atStation 新生接站登记
     * @return 结果
     */
    public int insertAtStation(AtStation atStation);

    /**
     * 修改新生接站登记
     * 
     * @param atStation 新生接站登记
     * @return 结果
     */
    public int updateAtStation(AtStation atStation);

    /**
     * 删除新生接站登记
     * 
     * @param id 新生接站登记主键
     * @return 结果
     */
    public int deleteAtStationById(Long id);

    /**
     * 批量删除新生接站登记
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAtStationByIds(Long[] ids);
}
